function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { createMuiTheme } from '@material-ui/core/styles';

var getThemeSource = function getThemeSource(id, ts, type) {
  if (type === void 0) {
    type = 'light';
  }

  if (ts) {
    for (var i = 0; i < ts.length; i++) {
      if (ts[i]['id'] === id) {
        var source = ts[i]['source'];
        var palette = source != null ? source.palette : {};
        return createMuiTheme(_extends(_extends({}, source), {}, {
          palette: _extends(_extends({}, palette), {}, {
            type
          })
        }));
      }
    }
  }

  return createMuiTheme({
    palette: {
      type
    }
  });
};

export default getThemeSource;